/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomXPathExpression_H___INT_
#define __GdomXPathExpression_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomDOMObject.h"
#include "GDOMObject.h"
#include "XPathExpression.h"
namespace WebCore {
    gpointer toGDOM(XPathExpression* node);
} /* namespace WebCore */ 
G_BEGIN_DECLS
class GDOMXPathExpression : public GDOMObject {
    typedef GDOMObject Base;
public:
    int get_gobj_type() { return GDOM_TYPE_X_PATH_EXPRESSION; }
    GDOMXPathExpression(PassRefPtr<WebCore::XPathExpression> impl);
    virtual ~GDOMXPathExpression();
    WebCore::XPathExpression* impl() const { return m_impl.get(); }

private:
    RefPtr<WebCore::XPathExpression> m_impl;
};
G_END_DECLS

#endif /* __GdomXPathExpression_H___INT_*/
